`neatui` 严格遵循 [Semantic Versioning 2.0.0](http://semver.org/lang/zh-CN/) 语义化版本规范。

#### 发布周期

- 修订版本号：每周末会进行日常 bugfix 更新。（如果有紧急的 bugfix，则任何时候都可发布）
- 次版本号：每月发布一个带有新特性的向下兼容的版本。
- 主版本号：含有破坏性更新和新特性，不在发布周期内。

### 0.12.2

`2019-01-30`

- 🐞 修复 DropdownMenu 弹出问题。

### 0.12.1

`2019-01-27`

- 🐞 修复 Modal 定位问题。

### 0.12.0

`2019-01-23`

- 🌟 DatePicker 支持时间禁用。
- 🐞 修复 TimePicker、DatePicker 大量 bug。

### 0.11.5

`2019-01-17`

- 🌟 Menu 组件支持保留收缩前状态。
- 🌟 Tag 组件支持 title。
- 🐞 修复 EasyForm inine 和 size 属性失效的问题。

### 0.11.3 && 0.11.4

`2019-01-14`

- 🐞 修复 EasyForm 跟踪`Array`类型的 value 时的 bug。

### 0.11.2

`2019-01-10`

- 🌟 增加 TagSelect 组件。

### 0.11.1

`2019-01-07`

- 🐞 修复 CheckboxGroup.

### 0.11.0

`2018-12-05`

- 🌟 全新的 EasyForm 表单组件，更加灵活的修改校验规则。
- 🐞 修复 DatePicker change 事件行为.
- 🐞 Cascader 增加默认宽度.

### 0.9.52

`2018-09-06`

- 🌟 修改轮播组件参数必填项。
- 🐞 优化表格固定列阴影展示，修改表格首次渲染不成功 bug.
- 🐞 修改 timeOption 组件的验证逻辑.

### 0.9.51

`2018-09-06`

- 🌟 tagGroup 增加自动聚焦聚焦功能。
- 🐞 fix-table.

### 0.9.50

`2018-09-04`

- 🌟 tagGroup 功能优化。

### 0.9.49

`2018-09-04`

- 🌟 tagGroup 增加 enterKey。

### 0.9.48

`2018-08-22`

- 🌟 增强级联组件性能。

### 0.9.47

`2018-08-22`

- 🌟 优化多个组件，提升稳定性。

### 0.9.45

`2018-08-16`

- 🌟 增加 Upload 组件。

### 0.9.44

`2018-08-08`

- 🐞 修复`datePicker`组件回调失效 bug.

### 0.9.43

`2018-08-08`

- 🌟 优化`Table`宽度自适应设置。

### 0.9.42

`2018-08-08`

- 🌟 增加`TagGroup`组件，支持使用 formCreator 包装。

### 0.9.41

`2018-07-31`

- 🌟 规范`datePicker`输入输出类型，代理内部属性，减少冗余代码。
- 🐞 修复`datePicker`传入空字符串导致的显示错误 bug。

### 0.9.40

`2018-07-31`

- 🌟 规范`datePicker`输入输出类型，代理内部属性，减少冗余代码。
- 🌟 增加`select`自定义渲染方式。
- 🌟 增加`tabs`受控模式。
- 🐞 修复`datePicker`传入空字符串导致的显示错误 bug。
- 🐞 修复`form`样式 bug。

### 0.9.39

`2018-07-18`

- 🐞 修改`datePicker`组件传空字符串导致的错误，增强样式兼容。

### 0.9.38

`2018-07-18`

- 🌟 解耦`datePicker`组件内部模块，增加测试用例覆盖度。
- 🐞 修复`Carousel`组件内部没有设置宽度 bug。

### 0.9.37

`2018-07-18`

- 📝 增亮`Tag`标签的边框颜色
- 🌟 修改引用的字体库的网络协议，使用 https 方式，增强适用性

### 0.9.34

`2018-07-10`

- 🐞 修复`Modal`设置点击遮盖层关闭功能失常
- 🌟 更改`FormItem`在 inline 模式下可以设置`label`为空或不设置

### 0.9.33

`2018-07-06`

- 🐞 修复表单组件中`Input`清除回调的 bug

### 0.9.32

`2018-06-29`

- 🐞 去除`timePicker`过渡动画
- 🌟 更改`Tag`在`hasBorder`为 false 的样式，使样式更加明亮鲜艳

### 0.9.31

`2018-06-26`

- 🐞 修复`Cascader`搜索问题

### 0.9.30

`2018-06-25`

- 🐞 修改`Table`IE11 扩展栏兼容
- 🐞 修复`Tag`新建标签键入问题

### 0.9.29

`2018-06-25`

- 🌟 新增`Tag`组件`enterKey`属性
- 🐞 修复`Cascader`选中后下拉菜单隐藏

### 0.9.28

`2018-06-22`

- 🌟 新增`TimePicker`选择器组件
- 🌟 修改`DatePicker`选择器组件

### 0.9.27

- 🐞 修复 Form 表单。

### 0.9.25 & 0.9.26

`2018-06-12`

- 🐞 移除 Select 组件默认筛选逻辑 。

### 0.9.24

`2018-06-12`

- 🌟 将 datePicker 类名规范化。
- 🌟 修改 datePicker 样式，增大 datePicker 清除按钮右侧 padding。
- 🌟 增加 Table 组件最外层元素自定义类名设定。
- 🌟 修改 Table API 文档。
- 🐞 修复 table 组件重置默认样式问题。
- 🐞 修复 Select 组件默认值设置无效的问题 。

### 0.9.23

`2018-06-06`

- 🐞 修复火狐下 datePicker 组件月份渲染 NaN 错误。
- 🐞 优化 datePicker 组件日期禁用功能。
- 🐞 修改 datePicker 范围选择类型`date-range-whole`为`date-range-unity`。
- 🐞 修复`IE11`下`RadioButton`高度显示错误的问题。

### 0.9.22

`2018-05-30`

- 🐞 修复`IE11`下表格宽度无法自适应问题。
- 🐞 修复`IE11`下时间组件`flex`导致宽度坍塌问题。
- 🐞 修复`Table`中引用方法`listenCssRender`创建高度`1px元素`移除错误问题。
